package speiger.src.builder.misc;

public class RegexUtil
{
	public static String searchUntil(String text, int startIndex, char increase, char decrease)
	{
		if(text.charAt(startIndex + 1) != increase)
		{
			return "";
		}
		int inc = 0;
		StringBuilder builder = new StringBuilder();
		for(int i = startIndex + 1;i<text.length();i++)
		{
			char current = text.charAt(i);
			if(current == '\\' && i < text.length() - 1 && text.charAt(i+1) == 'n')
			{
				return "";
			}
			else if(current == increase)
			{
				inc++;
			}
			else if(current == decrease)
			{
				inc--;
				if(inc <= 0)
				{
					return builder.append(decrease).toString();
				}
			}
			builder.append(current);
		}
		return "";
	}
	
	public static int[] findFullLine(String s, int startIndex)
	{
		int offset = s.indexOf("\n", startIndex);
		if(offset == -1) return null;
		int start = s.lastIndexOf("\n", startIndex);
		if(start == -1) return null;
		return new int[]{start, offset};
	}
}	